Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class FlatRecordTypeSelectionFactoryImpl

    java.lang.Object
      com.servingxml.components.flatfile.recordtype.FlatRecordTypeSelectionFactoryImpl

All Implemented Interfaces:
  FlatRecordTypeSelectionFactory

    public class FlatRecordTypeSelectionFactoryImpl

extends java.lang.Object
implements FlatRecordTypeSelectionFactory

Class for flat file record type objects.

Constructor Summary
`FlatRecordTypeSelectionFactoryImpl(FlatRecordTypeFactory flatRecordTypeFactory, java.lang.String testExpression, FlatFileOptionsFactory flatFileOptionsFactory)`

Method Summary
`FlatRecordTypeSelection` | `createFlatRecordTypeSelection(ServiceContext context, Flow flow, FlatFileOptions defaultOptions)`
`java.lang.String` | `getTestExpression()`
`boolean` | `isBinary()`
`boolean` | `isFieldDelimited()`
`boolean` | `isText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatRecordTypeSelectionFactoryImpl

    public FlatRecordTypeSelectionFactoryImpl(FlatRecordTypeFactory flatRecordTypeFactory,
                                              java.lang.String testExpression,
                                              FlatFileOptionsFactory flatFileOptionsFactory)

Method Detail

### getTestExpression

    public java.lang.String getTestExpression()

  Specified by:
    `getTestExpression` in interface `FlatRecordTypeSelectionFactory`

### createFlatRecordTypeSelection

    public FlatRecordTypeSelection createFlatRecordTypeSelection(ServiceContext context,
                                                                 Flow flow,
                                                                 FlatFileOptions defaultOptions)

  Specified by:
    `createFlatRecordTypeSelection` in interface `FlatRecordTypeSelectionFactory`

### isFieldDelimited

    public boolean isFieldDelimited()

  Specified by:
    `isFieldDelimited` in interface `FlatRecordTypeSelectionFactory`

### isBinary

    public boolean isBinary()

  Specified by:
    `isBinary` in interface `FlatRecordTypeSelectionFactory`

### isText

    public boolean isText()

  Specified by:
    `isText` in interface `FlatRecordTypeSelectionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD